package com.ywt.outpatient.api.resp;

import java.util.List;

/**
 * @author Walker
 * Created on 2022/5/6
 */
public class GetUncheckedRecordResp {
    private String patientRegNo; // 登记号
    private String patientName; // 姓名
    private String sex; // 性别描述
    private String patientAge; // 年龄
    private String patientIdNo; // 身份证号
    private String regId; // 网上预约记录ID
    private String phoneNo;
    private String levelDesc; // 普通
    private Integer totalAmount; // 订单金额
    private String admId; // 就诊ID
    private String preIADM; // 体检系统预约ID
    private String locId; // 体检科室ID
    private String regExamDate; // 预约日期
    private String pmType; // 预约类型 I:个人  G:团体  O:过期主场
    private String peId; // 体检编号
    private String peStatus; // 状态	PREREGED：预约 REGISTERED：登记 ARRIVED：到达 CANCELPE：取消体检
    private String companyDesc;
    private String idCard;
    private List<UncheckedItemInfoResp> uncheckedItemInfoList;

    public String getPatientRegNo() {
        return patientRegNo;
    }

    public void setPatientRegNo(String patientRegNo) {
        this.patientRegNo = patientRegNo;
    }

    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public String getPatientAge() {
        return patientAge;
    }

    public void setPatientAge(String patientAge) {
        this.patientAge = patientAge;
    }

    public String getPatientIdNo() {
        return patientIdNo;
    }

    public void setPatientIdNo(String patientIdNo) {
        this.patientIdNo = patientIdNo;
    }

    public String getRegId() {
        return regId;
    }

    public void setRegId(String regId) {
        this.regId = regId;
    }

    public String getPhoneNo() {
        return phoneNo;
    }

    public void setPhoneNo(String phoneNo) {
        this.phoneNo = phoneNo;
    }

    public String getLevelDesc() {
        return levelDesc;
    }

    public void setLevelDesc(String levelDesc) {
        this.levelDesc = levelDesc;
    }

    public Integer getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(Integer totalAmount) {
        this.totalAmount = totalAmount;
    }

    public String getAdmId() {
        return admId;
    }

    public void setAdmId(String admId) {
        this.admId = admId;
    }

    public String getPreIADM() {
        return preIADM;
    }

    public void setPreIADM(String preIADM) {
        this.preIADM = preIADM;
    }

    public String getLocId() {
        return locId;
    }

    public void setLocId(String locId) {
        this.locId = locId;
    }

    public String getRegExamDate() {
        return regExamDate;
    }

    public void setRegExamDate(String regExamDate) {
        this.regExamDate = regExamDate;
    }

    public String getPmType() {
        return pmType;
    }

    public void setPmType(String pmType) {
        this.pmType = pmType;
    }

    public String getPeId() {
        return peId;
    }

    public void setPeId(String peId) {
        this.peId = peId;
    }

    public String getPeStatus() {
        return peStatus;
    }

    public void setPeStatus(String peStatus) {
        this.peStatus = peStatus;
    }

    public String getCompanyDesc() {
        return companyDesc;
    }

    public void setCompanyDesc(String companyDesc) {
        this.companyDesc = companyDesc;
    }

    public String getIdCard() {
        return idCard;
    }

    public void setIdCard(String idCard) {
        this.idCard = idCard;
    }

    public List<UncheckedItemInfoResp> getUncheckedItemInfoList() {
        return uncheckedItemInfoList;
    }

    public void setUncheckedItemInfoList(List<UncheckedItemInfoResp> uncheckedItemInfoList) {
        this.uncheckedItemInfoList = uncheckedItemInfoList;
    }
}
